com.google.gwt.cell.client

## Interface ImageLoadingCell.Renderers

All Known Implementing Classes:
  ImageLoadingCell.DefaultRenderers

Enclosing class:
  ImageLoadingCell

    public static interface ImageLoadingCell.Renderers

The renderers used by this cell.

### Method Summary

All Methods Instance Methods Abstract Methods
`SafeHtmlRenderer<java.lang.String>` `getErrorRenderer()` Get the renderer used to render an error message when the image does not load.
`SafeHtmlRenderer<java.lang.String>` `getImageRenderer()` Get the renderer used to render the image.
`SafeHtmlRenderer<java.lang.String>` `getLoadingRenderer()` Get the renderer used to render a loading message.

### Method Detail

#### getErrorRenderer

    SafeHtmlRenderer<java.lang.String> getErrorRenderer()

Get the renderer used to render an error message when the image does not load. By default, the broken image is rendered.

Returns:
  the `SafeHtmlRenderer` used when the image doesn't load

#### getImageRenderer

    SafeHtmlRenderer<java.lang.String> getImageRenderer()

Get the renderer used to render the image. This renderer must render an `img` element, which triggers the `load` or `error` event that this cell handles.

Returns:
  the `SafeHtmlRenderer` used to render the image

#### getLoadingRenderer

    SafeHtmlRenderer<java.lang.String> getLoadingRenderer()

Get the renderer used to render a loading message. By default, an animated loading icon is rendered.

Returns:
  the `SafeHtmlRenderer` used to render the loading html